/*
    vhfcontestnet.h - Upload to www.vhfcontest.net
    Copyright (C) 2014 Ladislav Vaiz <ok1zia@nagano.cz>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

*/

#ifndef __VHFCONTESTNET_H
#define __VHFCONTESTNET_H

#include <libzia.h>

struct vhfcontestnet{
	struct zhttp *http;
	int ctestid;
	int country;
	char *status;
	int bandi;
};

struct vhfcontestnet *init_vhfcontestnet(void);
void free_vhfcontestnet(struct vhfcontestnet *vcn);

int vhfcontestnet_country(char *call);

void vhfcontestnet_upload(void *arg);
void vhfcontestnet_do_upload(void *arg);
void vhfcontestnet_zavody(struct zhttp *http);
void vhfcontestnet_contest(void *arg, void *arg2);
void vhfcontestnet_contestform(struct zhttp *http);
void vhfcontestnet_sent(struct zhttp *http);
void vhfcontestnet_confirmed(struct zhttp *http);

void vhfcontestnet_ask_claimed(struct zhttp *http);
void vhfcontestnet_claimed(struct zhttp *http);

void vhfcontestnet_abort(void *arg);
void vhfcontestnet_info(void *arg1);

#endif
